Trecerea serverelor HostVision la PHP 5.3

Incepand cu Aprilie 2013, HostVision va actualiza progresiv toate serverele cu versiunea PHP 5.3.x iar ulterior cu 5.4 si 5.5 conform recomandarilor PHP Development Team!

Trecerea versiunii PHP la 5.3 si ulterior la 5.4 si 5.5 (PHP 5.3 nu va mai fi dezvoltat incepand cu Martie 2013) este necesara deoarece versiunile vechi nu mai sunt intretinute si contin numeroase gauri de securitate. Aceasta modificare imbunatateste semnificativ securitatea PHP iar softurile beneficiaza de multe functii noi.
Va invitam sa parcurgeti documentele oficiale PHP pentru a pregati softurile folosite trecerii la PHP 5.3.x:

Deoarece in versiunea 5.3 au fost facute schimbari majore, este posibil sa apara anumite probleme de functionare a siturilor neactualizate. Le enumeram mai jos pe cele mai frecvente:

  1. Directive Scoase
    • register_globals nu mai poate fi setat
    • register_long_arrays nu mai poate fi setat
    • safe_mode nu mai poate fi setat
    • magic_quotes_gpc, magic_quotes_runtime, magic_quotes_sybase nu mai poate fi setate
    • lista completa: http://php.net/manual/en/migration53.incompatible.php
  2. Functii Invechite (Deprecated functions)
    • call_user_method() se poate utiliza call_user_func()
    • call_user_method_array() se poate utiliza call_user_func_array()
    • define_syslog_variables()
    • dl()
    • ereg(), eregi() se poate utiliza preg_match()
    • ereg_replace(), eregi_replace() se poate utiliza preg_replace()
    • set_magic_quotes_runtime(), magic_quotes_runtime()
    • session_register(), session_unregister(), session_is_registered() se poate utiliza $_SESSION
    • set_socket_blocking() se poate utiliza stream_set_blocking()
    • split(), spliti() se poate utiliza preg_split()
    • sql_regcase()
    • mysql_db_query() se poate utiliza mysql_select_db(), mysql_query()
    • mysql_escape_string() se poate utiliza mysql_real_escape_string()
    • lista completa: http://php.net/manual/en/migration53.deprecated.php

Compatibilitati Softuri

SiteLock